#include <iostream>
#include <cstdio>
#include <cstdlib>
using namespace std;
int n, k, x;
int main () {
    scanf("%d %d %d", &n, &k, &x);
    if (k == 3) {
//        if (n < 3) {
//            printf("-1\n");
//            return 0;
//        }
        if (n == 3) {
            printf("1 %d %d\n", k + 1, k + k + 1);
            return 0;
        }
        printf("%d ", x + 1);
        for (int i = 1; i <= k; i++) {
            printf("1 ");
        }
        for (int i = 1; i <= n - k - 1; i++) {
            printf("2 ");
        }
        printf("\n");
    }
    if (k == n) {

    }
    return 0;
}